Gecode::Int::Bool::Clause< VX, VY >::Tagged Class Reference

Advisors for views (tagged whether for x or y) More...

`#include <bool.hh>`

## Public Member Functions

| Tagged (Space &home, Propagator &p, Council< Tagged > &c, bool x)
| Create tagged advisor.
| Tagged (Space &home, Tagged &a)
| Clone tagged advisor a.
Public Member Functions inherited from Gecode::Advisor
template<class A>
| Advisor (Space &home, Propagator &p, Council< A > &c)
| Constructor for creation.
| Advisor (Space &home, Advisor &a)
| Copying constructor.
const ViewTraceInfo & | operator() (const Space &home) const
| Provide access to view trace information.
template<class A>
void | dispose (Space &home, Council< A > &c)
| Dispose the advisor.

## Public Attributes

const bool | x
| Whether advises a view for x or y.

## Additional Inherited Members

static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
Protected Member Functions inherited from Gecode::Advisor
Propagator & | propagator (void) const
| Return the advisor's propagator.

## Detailed Description

template<class VX, class VY>
class Gecode::Int::Bool::Clause< VX, VY >::Tagged

Advisors for views (tagged whether for x or y)

Definition at line 503 of file bool.hh.

## Constructor & Destructor Documentation

## Tagged() [1/2]

template<class VX, class VY>

Gecode::Int::Bool::Clause< VX, VY >::Tagged::Tagged | ( | Space & | home,
|  | Propagator & | p,
|  | Council< Tagged > & | c,
|  | bool | x )

inline

Create tagged advisor.

Definition at line 193 of file clause.hpp.

## Tagged() [2/2]

template<class VX, class VY>

Gecode::Int::Bool::Clause< VX, VY >::Tagged::Tagged | ( | Space & | home,
|  | Tagged & | a )

inline

Clone tagged advisor a.

Definition at line 199 of file clause.hpp.

## Member Data Documentation

## x

template<class VX, class VY>

const bool Gecode::Int::Bool::Clause< VX, VY >::Tagged::x

Whether advises a view for x or y.

Definition at line 506 of file bool.hh.

The documentation for this class was generated from the following files:

- gecode/int/bool.hh
- gecode/int/bool/clause.hpp